> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agents call data by period

> Get agents call data by period



## OpenAPI

````yaml get /agency/agents/data
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/agents/data:
    get:
      tags:
        - Outbound Agents
      summary: Get agents call data by period
      description: Get agents call data by period
      operationId: AgentsController_getAgentsData
      parameters:
        - name: period
          required: true
          in: query
          schema:
            example: week
            type: string
            enum:
              - week
              - month
              - year
        - name: type
          required: true
          in: query
          schema:
            example: outbound
            type: string
            enum:
              - outbound
              - inbound
      responses:
        '200':
          description: Returns agents call data
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````